Bug 217660 - fonts without 'space' defined cause jobs to abort
fonts without 'space' defined cause jobs to abort
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: 194614 (view as bug list)
Depends On:
Blocks: FC6Update
  Show dependency treegraph
Reported: 2006-11-29 03:31 EST by Ronald Warsow
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 8.15.4-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-11 13:10:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2138 None None None Never

  None (edit)
Description Ronald Warsow 2006-11-29 03:31:50 EST
Description of problem:
ijsgimpprint segfaults by printing

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. print the pdf-file in reverse order, A4, draft, out of evince on an epson c84
connected via usb
Actual results:
usb 2-2: new full speed USB device using uhci_hcd and address 4
usb 2-2: configuration #1 chosen from 1 choice
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 4 if 0 alt 0
proto 2 vid 0x04B8 pid 0x0005
ijsgimpprint[8477]: segfault at 0000000000000018 rip 00000037d1e44fa0 rsp
00007fff134ddc08 error 4

Expected results:

Additional info:
Comment 1 Tim Waugh 2006-12-06 13:11:50 EST
Seems to be a CUPS pdftops issue:

$ /usr/lib/cups/filter/pdftops 1 me '' 1 '' <2003-xensosp.pdf >job.ps
DEBUG: pdftops - copying to temp print file "/tmp/45770775eb76a"
DEBUG: pdftops - level = 2, width = 595, length = 792
]$ gs -dBATCH -dNOPAUSE job.psESP Ghostscript 815.03 (2006-08-25)
Copyright (C) 2004 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Substituting espgsMissingChar for space in the font
ERROR: /undefined in --get--
Operand stack:
   (Request Consumer)   47.4078   --dict:14/17(ro)(L)--   32   space  
--dict:16/16(ro)(L)--   space
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   1   3   %oparray_pop   1   3   %oparray_pop   .runexec2  
--nostringval--   --nostringval--   --nostringval--   2   %stopped_push  
--nostringval--   --nostringval--   %finish_stringwidth   --nostringval--  
--nostringval--   7   8   2   --nostringval--   (gs_show_enum)  
%op_show_continue   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1117/1686(ro)(G)--   --dict:0/20(G)--   --dict:103/200(L)--  
--dict:63/75(L)--   --dict:18/24(L)--   --dict:0/15(L)--   --dict:5/15(L)--  
--dict:2/15(L)--   --dict:14/17(ro)(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 648608
ESP Ghostscript 815.03: Unrecoverable error, exit code 1

Using 'gs -sDEVICE=pswrite' yields a PS output file that can be displayed but
the writing around the pie chart is garbled.

Comment 2 Ronald Warsow 2006-12-07 20:51:57 EST
displaying is not the problem, and if it is junk and not printable, okay.
but segfault then ?

should go: "hello user doc not printable, cause ..."
not stoping printing in the middle of the doc/job and display's nothing.
if i hadn't switch to a terminal, i hadn't realized the segfault.

for me it's not the problem to workaround malfunctioning programs,etc, but take
a look at fedora-list !

it's your audience !

okay ?

Comment 3 Tim Waugh 2006-12-08 09:40:51 EST
The segfault is not the cause of the problem but a symptom.  It isn't desirable
that it segfaults, but fixing that won't make the job print.

The problem stems from the fact that pdftops is creating a bad PS file.  I'm not
suggesting you use 'gs -sDEVICE=pswrite' instead, just noting its different
behaviour to help with diagnosing the problem.

I don't know the solution yet.
Comment 4 Tim Waugh 2006-12-08 13:14:35 EST
Reported upstream.
Comment 5 Ronald Warsow 2006-12-08 18:29:14 EST
okay !
thx 4 support
Comment 6 Ronald Warsow 2006-12-14 09:19:06 EST
today i tested it with another document and on an i386 also. here is the output
from x86_64:

usb 2-2: configuration #1 chosen from 1 choice
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 2 if 0 alt 0
proto 2 vid 0x04B8 pid 0x0005
usbcore: registered new driver usblp
drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver
python[3768]: segfault at fffffffffffffffa rip 00000037d2a7212b rsp
00007fff3324d710 error 4
usb 2-2: USB disconnect, address 2
drivers/usb/class/usblp.c: usblp0: removed
usb 3-2: USB disconnect, address 2
Comment 7 Tim Waugh 2006-12-15 08:39:29 EST
*** Bug 194614 has been marked as a duplicate of this bug. ***
Comment 8 Ronald Warsow 2007-01-13 16:59:05 EST
segfault is gone.

should this bug be closed ?
Comment 9 Tim Waugh 2007-01-15 09:43:31 EST
Are you able to print the original document without problems?
Comment 10 Ronald Warsow 2007-01-15 20:53:43 EST
no, but the segfault is gone for other documents !
that's fits my needs.

the above doc. gives
ijsgimpprint[4847]: segfault at 0000000000000018 rip 0000003382844e80 rsp
00007fff035fed28 error 4. (printed page 3-6)

up to you what to do with this bug...

okay ?
Comment 11 Tim Waugh 2007-01-16 05:52:31 EST
Then the bug remains present, as expected.
Comment 12 Ronald Warsow 2007-01-16 13:34:37 EST
honourable !!!

so have i have to have an eye on this also, esp. when fc7-test-x (or what's it's
named then) comes up... 
- thereby i have to do other jobs, apart from testing, esp. those to prevent my
fridge to cool some cold, sometimes illuminated, air only -

Comment 13 Fedora Update System 2007-04-10 12:54:39 EDT
Fixed in update: ghostscript-8.15.4-1.fc6.
Comment 14 Ronald Warsow 2007-04-10 16:38:58 EDT
i printed the above from site 1-6 without hassle.


same question: to close or not to close this bug ?

Comment 15 Ronald Warsow 2007-04-10 16:40:06 EDT
must read ... above doc...

Note You need to log in before you can comment on or make changes to this bug.